<?php
/**
 * Bootstrap file for setting the ABSPATH constant
 * and loading the wp-config.php file. The wp-config.php
 * file will then load the wp-settings.php file, which
 * will then set up the WordPress environment.
 *
 * If the wp-config.php file is not found then an error
 * will be displayed asking the visitor to set up the
 * wp-config.php file.
 *
 * Will also search for wp-config.php in WordPress' parent
 * directory to allow the WordPress directory to remain
 * untouched.
 *
 * @package WordPress
 */

/** Define ABSPATH as this files directory */
define( 'ABSPATH', dirname(__FILE__) . '/' );

if ( defined('E_RECOVERABLE_ERROR') )
	error_reporting(E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING | E_RECOVERABLE_ERROR);
else
	error_reporting(E_CORE_ERROR | E_CORE_WARNING | E_COMPILE_ERROR | E_ERROR | E_WARNING | E_PARSE | E_USER_ERROR | E_USER_WARNING);

if ( file_exists( ABSPATH . 'wp-config.php') ) {

	/** The config file resides in ABSPATH */
	require_once( ABSPATH . 'wp-config.php' );

} elseif ( file_exists( dirname(ABSPATH) . '/wp-config.php' ) && ! file_exists( dirname(ABSPATH) . '/wp-settings.php' ) ) {

	/** The config file resides one level above ABSPATH but is not part of another install*/
	require_once( dirname(ABSPATH) . '/wp-config.php' );

} else {

	// A config file doesn't exist

	// Set a path for the link to the installer
	if ( strpos($_SERVER['PHP_SELF'], 'wp-admin') !== false )
		$path = '';
	else
		$path = 'wp-admin/';

	// Die with an error message
	require_once( ABSPATH . '/wp-includes/class-wp-error.php' );
	require_once( ABSPATH . '/wp-includes/functions.php' );
	require_once( ABSPATH . '/wp-includes/plugin.php' );
	$text_direction = /*WP_I18N_TEXT_DIRECTION*/'ltr'/*/WP_I18N_TEXT_DIRECTION*/;
	wp_die(sprintf(/*WP_I18N_NO_CONFIG*/'<h1>Welcome to Wordpess Installation<br>Wordpress​ ထည့်​သွင်း​ြခင်း​ ​လုပ်​ငန်း​စဉ်​မှ​ ​ြကို​ဆို​ပါ​သည်</h1><p><code>wp-config.php</code> ဖိုင်ကို မေတွ့ပါ။ မစတင်နိုင်ခင် ထိုဖိုင်ကိုလိုအပ်ပါသည်။ အကူအညီ လိုအပ်ေနပါေသးလား။ <a href=\'http://codex.wordpress.org/Editing_wp-config.php\'>ဒီမှာ ရနိုင်ပါသည်</a>။  <code>wp-config.php</code> ဖိုင်ကို ယခု ဝက်ဘ်ဆိုဒ် ေပါ်မှ ြပုလုပ်၍ရပါသည်။ သို့ေသာ် ဆာဗာအားလံုးေပါ်တွင် အလုပ်လုပ်နိုင်မည်မဟုတ်ပါ။ အေသချာဆံုးနည်းလမ်းမှာ ကိုယ်တိုင်ဖန်တီး ြပုလုပ်ြခင်း ြဖစ်ပါသည်။ </p><p><a href=\'%ssetup-config.php\' class=\'button\'>စနစ် ဖွဲ့စည်းပံုဖိုင် ကိုြပုလုပ်ပါ။</a>'/*/WP_I18N_NO_CONFIG*/, $path), /*WP_I18N_ERROR_TITLE*/'WordPress &rsaquo; အမှားအယွင်း'/*/WP_I18N_ERROR_TITLE*/, array('text_direction' => $text_direction));

}

?>